Template Numerical Library: TNL::Algorithms::Segments::SlicedEllpackView< Device, Index, Organization, SliceSize > Class Template Reference

Template Numerical Library version\ main:be7e16d88

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
TNL::Algorithms::Segments::SlicedEllpackView< Device, Index, Organization, SliceSize > Class Template Reference
Inheritance diagram for TNL::Algorithms::Segments::SlicedEllpackView< Device, Index, Organization, SliceSize >:
[legend]
Collaboration diagram for TNL::Algorithms::Segments::SlicedEllpackView< Device, Index, Organization, SliceSize >:
[legend]

## Public Types
using | ConstViewType = SlicedEllpackView< Device, std::add_const_t< Index >, Organization, SliceSize >
template<typename Device_, typename Index_>
using | ViewTemplate = SlicedEllpackView< Device_, Index_, Organization, SliceSize >
using | ViewType = SlicedEllpackView
Public Types inherited from TNL::Algorithms::Segments::SlicedEllpackBase< Device, Index, Algorithms::Segments::DefaultElementsOrganization< Device >::getOrganization(), 32 >
using | ConstOffsetsView
using | DeviceType
using | IndexType
using | OffsetsView
using | SegmentViewType

## Public Member Functions
__cuda_callable__ | SlicedEllpackView (const SlicedEllpackView &)=default
__cuda_callable__ | SlicedEllpackView (Index size, Index alignedSize, Index segmentsCount, typename Base::OffsetsView sliceOffsets, typename Base::OffsetsView sliceSegmentSizes)
__cuda_callable__ | SlicedEllpackView (SlicedEllpackView &&) noexcept=default
__cuda_callable__ void | bind (SlicedEllpackView view)
__cuda_callable__ ConstViewType | getConstView () const
__cuda_callable__ ViewType | getView ()
void | load (File &file)
SlicedEllpackView & | operator= (const SlicedEllpackView &)=delete
SlicedEllpackView & | operator= (SlicedEllpackView &&)=delete
void | save (File &file) const
Public Member Functions inherited from TNL::Algorithms::Segments::SlicedEllpackBase< Device, Index, Algorithms::Segments::DefaultElementsOrganization< Device >::getOrganization(), 32 >
void | forAllElements (Function &&function) const
void | forAllSegments (Function &&function) const
void | forElements (IndexType begin, IndexType end, Function &&function) const
void | forSegments (IndexType begin, IndexType end, Function &&function) const
__cuda_callable__ IndexType | getGlobalIndex (Index segmentIdx, Index localIdx) const
__cuda_callable__ IndexType | getSegmentsCount () const
__cuda_callable__ IndexType | getSegmentSize (IndexType segmentIdx) const
__cuda_callable__ SegmentViewType | getSegmentView (IndexType segmentIdx) const
__cuda_callable__ IndexType | getSize () const
__cuda_callable__ OffsetsView | getSliceOffsetsView ()
__cuda_callable__ OffsetsView | getSliceSegmentSizesView ()
__cuda_callable__ IndexType | getStorageSize () const
SlicedEllpackBase & | operator= (const SlicedEllpackBase &)=delete

## Additional Inherited Members
Static Public Member Functions inherited from TNL::Algorithms::Segments::SlicedEllpackBase< Device, Index, Algorithms::Segments::DefaultElementsOrganization< Device >::getOrganization(), 32 >
static constexpr ElementsOrganization | getOrganization ()
static std::string | getSegmentsType ()
static std::string | getSerializationType ()
static constexpr int | getSliceSize ()
static constexpr bool | havePadding ()
Protected Member Functions inherited from TNL::Algorithms::Segments::SlicedEllpackBase< Device, Index, Algorithms::Segments::DefaultElementsOrganization< Device >::getOrganization(), 32 >
__cuda_callable__ void | bind (IndexType size, IndexType storageSize, IndexType segmentsCount, OffsetsView sliceOffsets, OffsetsView sliceSegmentSizes)
| Re-initializes the internal attributes of the base class.
Protected Attributes inherited from TNL::Algorithms::Segments::SlicedEllpackBase< Device, Index, Algorithms::Segments::DefaultElementsOrganization< Device >::getOrganization(), 32 >
IndexType | segmentsCount
IndexType | size
OffsetsView | sliceOffsets
OffsetsView | sliceSegmentSizes
IndexType | storageSize

The documentation for this class was generated from the following file:

- src/TNL/Algorithms/Segments/SlicedEllpackView.h